<template>
  <div class="countdown">
    <div class="block">
      <p class="digit">{{ duration.asDays() | two_digits }}</p>
      <p class="text">days</p>
    </div>
    <div class="double-dot">:</div>
    <div class="block">
      <p class="digit">{{ duration.hours() | two_digits }}</p>
      <p class="text">hrs</p>
    </div>
    <div class="double-dot">:</div>
    <div class="block">
      <p class="digit">{{ duration.minutes() | two_digits }}</p>
      <p class="text">min</p>
    </div>
    <div class="double-dot">:</div>
    <div class="block sec">
      <p class="digit">{{ duration.seconds() | two_digits }}</p>
      <p class="text">sec</p>
    </div>
  </div>
</template>

<script>
  import CountdownCore from '../../../home/components/Dashboard/Countdown.vue';
  export default {
    extends: CountdownCore
  }
</script>

<style lang="scss" scoped>
  @import '../../../../sass/mobile/variables';
  @import '../../../../sass/mobile/vendor/position';
  * {
    margin: 0;
    padding: 0;
  }
  .countdown {
    text-align: center;
    margin-bottom: 41rem;
  }

  .block {
    display: inline-block;
    vertical-align: middle;
    margin: 0 9rem;

    &.sec .digit {
      color: $orange;
    }
  }

  .digit {
    font-size: $big-40;
    font-weight: 300;
    color: $white;
    line-height: 1;
    min-width: 45rem;
  }

  .text {
    color: $gray_text_dashboard;
    font-size: 14px;
    margin-top: -4px;
  }

  .double-dot {
    display: inline-block;
    color: $gray_text_dashboard;
    font-size: $big-20;
    font-weight: bold;
    vertical-align: middle;
    margin-top: -21px;
  }
</style>
